Bug 364441 - Should use UUID= in /etc/fstab by default
Summary: Should use UUID= in /etc/fstab by default
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F9Blocker
TreeView+ depends on / blocked
 
Reported: 2007-11-02 19:00 UTC by David Zeuthen
Modified: 2013-03-06 03:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-24 21:12:52 UTC


Attachments (Terms of Use)

Description David Zeuthen 2007-11-02 19:00:00 UTC
Rationale:
https://www.redhat.com/archives/fedora-devel-list/2007-November/msg00128.html

Also, using LABEL= makes the system break in interesting ways when booting a
system where the main disk has LABEL=/ and an attached USB enclosure contains a
disk from another Fedora os with LABEL=/

Comment 1 David Zeuthen 2008-02-15 22:00:32 UTC
Are you guys going to fix this for F9?

Comment 2 David Cantrell 2008-02-16 00:21:44 UTC
Is this something we can only do for ext2/ext3, or is available across all
filesystems?  Can we mix LABEL= and UUID= in /etc/fstab in the case where we
can't get the UUID?  Is there a way other than /lib/udev/vol_id <device> that we
can get the UUID for a filesystem?

Comment 3 David Zeuthen 2008-02-16 00:39:41 UTC
(In reply to comment #2)
> Is this something we can only do for ext2/ext3, or is available across all
> filesystems?  

Yes, all sane file systems (even vfat!), except jffs2, has the notion of UUID.
Even if ext2/3/4dev/4 were the only file system to support it we should use it
in that case.

> Can we mix LABEL= and UUID= in /etc/fstab in the case where we
> can't get the UUID?

I don't see why not; it's just a different way to refer to a device. I remember
an old bug where the initramfs generated by mkinitrd didn't grok UUID= but that
was a bug and it's now fixed.

(I use UUID= on some of my systems.)

>  Is there a way other than /lib/udev/vol_id <device> that we
> can get the UUID for a filesystem?

Probably fs specific tools; I don't see e2uuid but it should be trivial to write
if needed. Then again, I don't think it matters since we have vol_id already.

There's also /dev/disk/by-uuid/* for efficient reverse look-up.

I think a number of the other distros use UUID= (or similar) by default.

Comment 4 Karel Zak 2008-02-18 12:13:08 UTC
Please, use blkid rather than vol_id. The libblkid has a better support for
(multipath) device-mapper stuff. The utils like fsck, mount, swapon and nash are
based on libblkid (in Fedora, Suse uses vol_id).

   # /sbin/blkid -s UUID <devname>You

Yes, you can mix LABELs, UUIDs and devnames in /etc/fstab. You can also mix
mount(8) command line options (-L, -U, UUID=, LABEL=) with arbitrary setting in
your /etc/fstab (this is a new feature in util-linux-ng 2.13).

Comment 5 David Zeuthen 2008-02-18 13:18:19 UTC
(In reply to comment #4)
> Please, use blkid rather than vol_id. The libblkid has a better support for
> (multipath) device-mapper stuff. The utils like fsck, mount, swapon and nash are
> based on libblkid (in Fedora, Suse uses vol_id).

Sure, for this application it doesn't really matter either way. 

(And I'll spare you my thoughts on vol_id vs. blkid...)

        David


Comment 6 Jeremy Katz 2008-02-24 21:12:52 UTC
Should be present in tomorrow's rawhide


Note You need to log in before you can comment on or make changes to this bug.